%{?drupal7_find_provides_and_requires}

%global module drafty
%global pre_release rc1

Name:          drupal7-%{module}
Version:       1.0
Release:       0.8%{?pre_release:.%{pre_release}}%{?dist}
Summary:       Facilitates handling of draft revisions

License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}%{?pre_release:-%{pre_release}}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

# drafty.info
Requires:      drupal7(entity)
# phpcompatinfo (computed from version 1.0-rc1)
#     <none>

%description
API module for handling drafts of revisions.

This module doesn't provide any workflow handling, but it should provide robust
mechanisms for creating new revisions as drafts, publishing revisions, and
deletion of old drafts.

The goal of drafty is to be a dependency for workflow modules such as Workbench
Moderation [1], CPS [2] (and others). Currently, each of the workflow modules
has their own implementation for saving draft revisions.

[1] https://www.drupal.org/project/workbench_moderation
[2] https://www.drupal.org/project/cps


%prep
%setup -qn %{module}

: Licenses and docs
mkdir -p .rpm/{licenses,docs}
mv LICENSE.txt .rpm/licenses/
mv *.txt .rpm/docs/


%build
# Empty build section, nothing to build


%install
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license .rpm/licenses/*
%doc .rpm/docs/*
%{drupal7_modules}/%{module}


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.8.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.7.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.6.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 14 2017 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.0-0.5.rc1
- Update to 1.0-rc1 (RHBZ #1511721)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.4.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 27 2017 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.0-0.3.beta4
- Update to 1.0-beta4 (RHBZ #1424657)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.2.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Dec 28 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.0-0.1.beta3
- Initial package
